<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib uri="http://wso2.org/projects/carbon/taglibs/carbontags.jar" prefix="carbon" %>
<%@ page import="org.wso2.carbon.logging.admin.ui.LoggingAdminClient" %>
<%@ page import="org.wso2.carbon.utils.ServerConstants" %>
<%@ page import="org.apache.axis2.context.ConfigurationContext" %>
<%@ page import="org.wso2.carbon.CarbonConstants" %>
<%@ page import="org.wso2.carbon.ui.CarbonUIUtil" %>
<%@ page import="org.wso2.carbon.ui.CarbonUIMessage" %>

<%
    String backendServerURL = CarbonUIUtil.getServerURL(config.getServletContext(), session);
    ConfigurationContext configContext =
            (ConfigurationContext) config.getServletContext().getAttribute(CarbonConstants.CONFIGURATION_CONTEXT);

    String cookie = (String) session.getAttribute(ServerConstants.ADMIN_SERVICE_COOKIE);
    LoggingAdminClient client;
    try {
        client = new LoggingAdminClient(cookie, backendServerURL, configContext);
        String logLevel = request.getParameter("logLevel");
        String logPattern = request.getParameter("logPattern");
        boolean persist = Boolean.valueOf(request.getParameter("persist"));
        client.updateSystemLog(logLevel, logPattern, persist);
        String msg = "Global Log4j Configuration is updated successfully";
        CarbonUIMessage.sendCarbonUIMessage(msg, CarbonUIMessage.INFO, request);
%>
        <script type="text/javascript">
               location.href = "log-admin.jsp";
        </script>
<%
   } catch (Exception e) {
        CarbonUIMessage.sendCarbonUIMessage(e.getMessage(), CarbonUIMessage.ERROR, request);
 %>
        <script type="text/javascript">
               location.href = "log-admin.jsp";
        </script>
<%
        return;
    }
%>