<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ page import="org.apache.axis2.context.ConfigurationContext" %>
<%@ page import="org.wso2.carbon.logging.admin.ui.LoggingAdminClient" %>
<%@ page import="org.wso2.carbon.utils.ServerConstants" %>
<%@ page import="org.wso2.carbon.ui.CarbonUIUtil" %>
<%@ page import="org.wso2.carbon.CarbonConstants" %>
<fmt:bundle basename="org.wso2.carbon.logadmin.ui.i18n.Resources">
    <%
        response.setHeader("Cache-Control", "no-cache");
        String loggerName = request.getParameter("loggerName");
        String logLevel = request.getParameter("logLevel");
        boolean additivity = false;
        if (request.getParameter("additivity") != null) {
            additivity = Boolean.valueOf(request.getParameter("additivity"));
        }
        boolean persist = false;
        if (request.getParameter("persist") != null) {
            persist = Boolean.valueOf(request.getParameter("persist"));
        }

        String backendServerURL = CarbonUIUtil.getServerURL(config.getServletContext(), session);
        ConfigurationContext configContext =
                (ConfigurationContext) config.getServletContext().getAttribute(CarbonConstants.CONFIGURATION_CONTEXT);

        String cookie = (String) session.getAttribute(ServerConstants.ADMIN_SERVICE_COOKIE);
        LoggingAdminClient client;
        client = new LoggingAdminClient(cookie, backendServerURL, configContext);
        try {
            client.updateLoggerData(loggerName, logLevel, additivity, persist); 
    %>
    <p><fmt:message key="successfully.updated.logger"/></p>
    <%
    } catch (Exception e) {
    %>
    <p><fmt:message key="logger.update.failed"/></p>
    <%
        }
    %>
</fmt:bundle>